Subject: Re: Collection of stgit issues and wishes

From: Jakub Narebski <[email-masked]>
Date: Mon, 11 Dec 2006 00:02:05 +0100

Catalin Marinas wrote:
> On 10/12/06, Jakub Narebski <[email-masked]> wrote:

>> The git commands StGit uses to perform operations automatically record
>> changes in branches in reflog. What StGit does not provide is the "reason".
>> You do use git-update-ref?
> 
> Yes, only for updating HEAD. The refs in refs/patches/<branch>/ are
> written directly. I initialy wanted to add patch history support using
> reflogs and added "git-update-ref -m ..." for the patch commits but I
> found slow the pushing operation a bit. Do you only want to track the
> reflogs for HEAD?

Yes, I want for StGit to provide reasons when updating HEAD. I know that
StGit manages it's own versioning of patches not using reflog -- fine.
What matters for me is reflog for HEAD after "stg commit; stg clean".

-- 
Jakub Narebski